import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { Http} from '@angular/http';
import 'rxjs/add/operator/map';


@Injectable()
export class NavBarService {
    constructor(public http:Http) {
        console.log("UsecaselistService connected ...");
    
       }
    public currentPage: BehaviorSubject<number> = new BehaviorSubject<number>(null);

    setCurrentPage(value: number) {
        this.currentPage.next(value);
    }

    getadminlanding(){
        return this.http.get('adminlanding.json').map(res => res.json());
    }
}
